Tensor RT and 5.1.6.1

I just upgraded Pegasus from 5.1.0.2 to 5.1.6.1. Now it seems the tensorrt is not installed on 5.1.6.1, even I selected it when preparing the image in SDK Manager.

In other word, the following command return nothing in Pegasus:

$ sudo dpkg -l | grep -i tensorrt

Can you please help?

Thanks!

Hi VerySimple,

Could you please export your installation log and attach here for more insight? Thanks!

The installation was successful and did not have any errors. I do not have it any more but I will reflash it and collect the logs. Meantime, please let me know if there are anything else we can do. Thanks.

If there is a way to manually install tensorrt on 5.1.6.1, please let me know. thanks.

I tried to flash again with 5.1.6.1 but this time run into errors:

10:56:16 INFO : Flash Xavier A+B in parallel : SDK/PDK Installer and Flasher
10:56:16 INFO : Flash Xavier A+B in parallel : Run ./pdkinstaller --help for usage information.
10:56:16 INFO : Flash Xavier A+B in parallel :
10:56:16 INFO : Flash Xavier A+B in parallel : Initializing board and OS configuration to Autonomous Vehicle DDP Pegasus Hyperion-7.1 Linux Tegra AB
10:56:16 INFO : Flash Xavier A+B in parallel : Manifest version 2.0
10:56:16 INFO : Flash Xavier A+B in parallel :
10:56:16 INFO : Flash Xavier A+B in parallel : Processor found in ttyUSB3
10:56:16 INFO : Flash Xavier A+B in parallel : Aurix port /dev/ttyUSB3 found. Fetching board revision from InfoROM …
10:56:21 INFO : Flash Xavier A+B in parallel : Failed to bind partitions!
10:56:21 INFO : Flash Xavier A+B in parallel : pdkinstaller cannot continue! Check the log file for details: /home/czhao/nvidia/nvidia_sdk/DRIVE_Software_10.0_Linux_OS_E3550/DRIVEOS/pdkinstaller/pdkinstaller.log
10:56:21 ERROR : Flash Xavier A+B in parallel :
10:56:21 INFO : Flash Xavier A+B in parallel :
10:56:21 INFO : Flash Xavier A+B in parallel : exit status 140
10:56:21 INFO : Flash Xavier A+B in parallel : [ Component Install Finished with Error ]
10:56:21 INFO : Flash Xavier A+B in parallel : [ 68.00 KB used. Disk Avail: 1327.84 GB ]
10:56:21 INFO : Flash Xavier A+B in parallel : [ NV_FLASH_XAVIER_PDKFLASH_PARALLEL_COMP Install took 2m6s ]
10:56:21 ERROR : Flash Xavier A+B in parallel : Run commands failed at step Install: command cd pdkinstaller && ./pdkinstaller --installtype bindflash --boardtype ES --pdkinstalledpath /home/czhao/nvidia/nvidia_sdk/DRIVE_Software_10.0_Linux_OS_E3550/DRIVEOS --configjson ./manifests/install_pdk_config/av_ddp_pegasus_hyp71_linux_tegraAB_install_config.json --consoleout enable finished with error
10:56:21 INFO : Flash Xavier A+B in parallel :
10:56:21 ERROR : Flash Xavier A+B in parallel : command terminated with error
10:56:21 ERROR : install ‘Flash Xavier A+B in parallel’ failure, command < cd ‘/home/czhao/nvidia/nvidia_sdk/DRIVE_Software_10.0_Linux_OS_E3550’ ; ‘/opt/nvidia/sdkmanager/resources/app/output/installUtils/adapter’ -a=‘install’ -c=‘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’ -i=‘NV_FLASH_XAVIER_PDKFLASH_PARALLEL_COMP’ -v=‘5.1.6.1’ -l=’/home/czhao/nvidia/nvidia_sdk/DRIVE_Software_10.0_Linux_OS_E3550’ -L=’/home/czhao/.nvsdkm/logs/DRIVE_Software_10.0_Linux_OS’ -p=‘19633’ -t=‘DDPX’ -e=‘undefined’ -b=‘NV_DRIVE_LINUX_BUNDLE’ -x=‘SDK’ > terminated with error
10:56:22 INFO : All done!

I tried to manually run the following file:

$ ./drive-t186ref-linux-5.1.6.1-16911241-aarch64-tensorrt-5.1.4.2-1+cuda10.2.run

But I got this error:
Do you accept the terms of this license? yes/no? yes
Verifying archive integrity… All good.
Uncompressing drive-t186ref-linux-5.1.6.1-16911241-aarch64-tensorrt…
.install/drive-t186ref-linux-5.1.6.1-16911241-aarch64-tensorrt/gie_startup: line 33: /utils/scripts/copytarget-cudnn-tensorrt-gie: No such file or directory

I checked with our team. Not installing these packages is intended to save targetfs size and flashing time.

Could you try to install any packages you need manually?

$ ls -l ~/nvidia/nvidia_sdk/DRIVE_Software_10.0_Linux_OS_E3550/DRIVEOS/.install/drive-t186ref-linux-5.1.6.1-16911241-aarch64-tensorrt/gie/binary-Gie/
total 866496
-r–r--r-- 1 vyu vyu 16106 Sep 22 03:56 graphsurgeon-tf_5.1.4-1+cuda10.2_arm64.deb
-r–r--r-- 1 vyu vyu 180342272 Sep 22 03:56 libcudnn7_7.5.1.14-1+cuda10.2_arm64.deb
-r–r--r-- 1 vyu vyu 157036708 Sep 22 03:56 libcudnn7-dev_7.5.1.14-1+cuda10.2_arm64.deb
-r–r--r-- 1 vyu vyu 5956080 Sep 22 03:56 libcudnn7-doc_7.5.1.14-1+cuda10.2_arm64.deb
-r–r--r-- 1 vyu vyu 3608 Sep 22 03:56 libgie-dev_5.1.4-1+cuda10.2_all.deb
-r–r--r-- 1 vyu vyu 41069416 Sep 22 03:56 libnvinfer5_5.1.4-1+cuda10.2_arm64.deb
-r–r--r-- 1 vyu vyu 42474566 Sep 22 03:56 libnvinfer-dev_5.1.4-1+cuda10.2_arm64.deb
-r–r--r-- 1 vyu vyu 458065400 Sep 22 03:56 libnvinfer-samples_5.1.4-1+cuda10.2_all.deb
-r–r--r-- 1 vyu vyu 309778 Sep 22 03:56 python3-libnvinfer_5.1.4-1+cuda10.2_arm64.deb
-r–r--r-- 1 vyu vyu 3624 Sep 22 03:56 python3-libnvinfer-dev_5.1.4-1+cuda10.2_arm64.deb
-r–r--r-- 1 vyu vyu 312434 Sep 22 03:56 python-libnvinfer_5.1.4-1+cuda10.2_arm64.deb
-r–r--r-- 1 vyu vyu 3620 Sep 22 03:56 python-libnvinfer-dev_5.1.4-1+cuda10.2_arm64.deb
-r–r--r-- 1 vyu vyu 1630480 Sep 22 03:56 tensorrt_5.1.4.2-1+cuda10.2_arm64.deb
-r–r--r-- 1 vyu vyu 37538 Sep 22 03:56 uff-converter-tf_5.1.4-1+cuda10.2_arm64.deb

Thanks. But I do not have .install folder under ~/nvidia/nvidia_sdk/DRIVE_Software_10.0_Linux_OS_E3550/DRIVEOS/. See below:

~/nvidia/nvidia_sdk/DRIVE_Software_10.0_Linux_OS_E3550/DRIVEOS$ ll
total 120
drwxr-xr-x 11 czhao czhao 4096 Nov 27 11:24 ./
drwxrwxr-x 5 czhao czhao 4096 Nov 27 11:21 …/
-rw-r–r-- 1 czhao czhao 8302 Nov 27 11:23 5.1.6.1_2127999.patch
-rw-r–r-- 1 czhao czhao 625 Nov 27 11:23 5.1.6.1_2128000-oss.patch
-rw-r–r-- 1 czhao czhao 789 Nov 27 11:23 5.1.6.1_2128000.patch
-rw-r–r-- 1 czhao czhao 20478 Nov 27 11:23 5.1.6.1_2139720.patch
-rw-r–r-- 1 czhao czhao 657 Nov 27 11:23 5.1.6.1_2144485.patch
-rw-r–r-- 1 czhao czhao 5533 Nov 27 11:23 5.1.6.1_2161787.patch
-rw-r–r-- 1 czhao czhao 1338 Nov 27 11:23 5.1.6.1_2165317.patch
-rw-r–r-- 1 czhao czhao 6180 Nov 27 11:23 5.1.6.1_2166497.patch
-rw-r–r-- 1 czhao czhao 3909 Nov 27 11:23 5.1.6.1_2167188.patch
-rw-r–r-- 1 czhao czhao 497 Nov 27 11:23 5.1.6.1_2168250.patch
-rw-r–r-- 1 czhao czhao 1200 Nov 27 11:23 5.1.6.1_2189571.patch
drwxr-xr-x 7 czhao czhao 4096 Aug 14 18:23 drive-oss-src/
drwxr-xr-x 3 czhao czhao 4096 Sep 21 19:40 drive-t186ref-cuda/
drwxr-xr-x 7 czhao czhao 4096 Sep 6 05:54 drive-t186ref-foundation/
drwxr-xr-x 4 czhao czhao 4096 Apr 21 2019 drive-t186ref-foundation_src/
drwxr-xr-x 19 czhao czhao 4096 Nov 27 11:41 drive-t186ref-linux/
drwxr-xr-x 5 czhao czhao 4096 Sep 22 01:13 drive-t186ref-linux_src/
drwxr-xr-x 3 czhao czhao 4096 Sep 19 00:00 hardware/
drwxrwxr-x 4 czhao czhao 4096 Nov 27 11:59 pdkinstaller/
drwxr-xr-x 5 czhao czhao 4096 Sep 6 05:55 toolchains/

Is there a way to reliably/systematically/correctly/completely install all necessary packages to Pegasus? This manual installation worries me. Thanks.

The files were uncompressed out after run below command under ~/nvidia/nvidia_sdk/DRIVE_Software_10.0_Linux_OS_E3550/DRIVEOS directory (even hit the error you pointed out).

$ ~/Downloads/nvidia/sdkm_downloads/drive-t186ref-linux-5.1.6.1-16911241-aarch64-tensorrt-5.1.4.2-1+cuda10.2.run

As I told you, we decided not to install the packages to save the targetfs size. I’ll still check with the team and get back to you.

I just checked on the target. The libraries necessary for DriveWorks are already in /usr/local/driveworks-2.2/targets/aarch64-Linux/lib/ so we don’t really install these packages.

Thanks. After run the .run file, I was able to manually install the deb files above, which include tensorrt.